<?php
namespace app\admin\controller\life;

use app\admin\controller\BaseController;
use app\admin\server\life\PackageOrderServer;


class PackageOrder extends BaseController
{

    /**
     * Notes:获取订单列表
     * @return \support\Response
     * User: YCP
     * Date: 2022/10/19
     */
    public function getOrderList()
    {
        [$page, $limit] = $this->getPage();
        $keywords = $this->request->get('keywords');
        $order_package_type = $this->request->get('order_package_type');
        $result         = PackageOrderServer::getOrderList($page, $limit,$keywords,$order_package_type);
        return json_success($result, '成功');
    }
    /**
     * Notes:订单详情
     * @return \support\Response
     * User: YCP
     * Date: 2022/10/19
     */
    public function getOrderInfo()
    {
        $order_id = $this->request->get('order_id');
        if(!$order_id){
            throw new \Exception('订单ID不能为空');
        }
        $result         = PackageOrderServer::orderInfo($order_id);
        if ($result){
            return json_success($result, '获取成功');
        }else{
            throw new \Exception('获取失败！');
        }

    }

    /**
     * Notes:修改订单完成状态
     * @return \support\Response
     * User: YCP
     * Date: 2022/10/19
     */
    public function updateFinish()
    {
        $order_id = $this->request->get('order_id');
        $order_finish = $this->request->get('order_finish');
        if(!$order_id){
            throw new \Exception('订单ID不能为空');
        }
        $result       = PackageOrderServer::updateFinish($order_id, $order_finish);
        return json_success($result, '修改成功');
    }

    /**
     * Notes:修改订单支付状态
     * @return \support\Response
     * User: YCP
     * Date: 2022/11/28
     */
    public function updatePayStatus()
    {
        $order_id = $this->request->post('order_id');
        $order_pay_status = $this->request->post('order_pay_status');
        if(!$order_id){
            throw new \Exception('订单ID不能为空');
        }
        $result       = PackageOrderServer::updatePayStatus($order_id, $order_pay_status);
        return json_success($result, '修改成功');
    }
}
